Subject: Re: linux-next: Tree for Feb 27 (drivers/of/unittest.c)

From: Frank Rowand <[email-masked]>
Date: Thu, 27 Feb 2020 15:12:22 -0600

Hi Randy,

On 2/27/20 10:23 AM, Randy Dunlap wrote:
> On 2/26/20 8:22 PM, Stephen Rothwell wrote:
>> Hi all,
>>
>> Changes since 20200226:
>>
> 
> on x86_64:
> 
> # CONFIG_GPIOLIB is not set
> 
> ../drivers/of/unittest.c: In function ‘unittest_gpio_probe’:
> ../drivers/of/unittest.c:94:14: error: ‘struct gpio_chip’ has no member named ‘of_node’
>   devptr->chip.of_node = pdev->dev.of_node;
>               ^
> In file included from ../include/linux/kernel.h:15:0,
>                  from ../include/asm-generic/bug.h:19,
>                  from ../arch/x86/include/asm/bug.h:83,
>                  from ../include/linux/bug.h:5,
>                  from ../include/linux/mmdebug.h:5,
>                  from ../include/linux/mm.h:9,
>                  from ../include/linux/memblock.h:13,
>                  from ../drivers/of/unittest.c:8:
> ../drivers/of/unittest.c:103:73: error: ‘struct gpio_chip’ has no member named ‘of_node’
>     "gpiochip_add_data() for node @%pOF failed, ret = %d\n", devptr->chip.of_node, ret);
>                                                                          ^
> 
> Full randconfig file is attached.
> 

I am trying to build a kernel with the randconfig you provided.

I am trying to figure out how to build with the exact configuration,
but every way I've tried to build modifies the .config file.

Do you have any pointers to info on how to get the build system
to use exactly the .config without modification?

(Just in case it is pertinent, I am using Linux 5.6-rc1 instead
of -next.)

-Frank